<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="positionIrreguliere">
      <h2 data-cy="positionIrreguliereDetailsHeading">
        <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.detail.title">Position Irreguliere</span>
      </h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ positionIrreguliere.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.positionIrreguliere.dateDebut">Date Debut</span></dt>
        <dd>
          <span>{{ positionIrreguliere.dateDebut | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.positionIrreguliere.dateFin">Date Fin</span></dt>
        <dd>
          <span>{{ positionIrreguliere.dateFin | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.positionIrreguliere.naturePositionIrreguliere">Nature Position Irreguliere</span></dt>
        <dd>
          <div *ngIf="positionIrreguliere.naturePositionIrreguliere">
            <a [routerLink]="['/nature-position-irreguliere', positionIrreguliere.naturePositionIrreguliere.id, 'view']">{{
              positionIrreguliere.naturePositionIrreguliere.id
            }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.positionIrreguliere.employe">Employe</span></dt>
        <dd>
          <div *ngIf="positionIrreguliere.employe">
            <a [routerLink]="['/employe', positionIrreguliere.employe.id, 'view']">{{ positionIrreguliere.employe.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/position-irreguliere', positionIrreguliere.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
